Skip to main content
`Ctrl`+`K`

# PEPJDSetProjection

Sets the type of projection to be used in the Jacobi-Davidson solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetProjection(PEP pep,PEPJDProjection proj)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- proj - the type of projection, see `PEPJDProjection` for possible values

## Options Database Key

- -pep_jd_projection (orthogonal|harmonic) - the projection type

## Note

Detailed information can be found at [Campos and Roman, 2020].

## References

[Cam20a]

C. Campos and J. E. Roman. A polynomial Jacobi-Davidson solver with support for non-monomial bases and deflation. BIT, 60(2):295–318, 2020. doi:10.1007/s10543-019-00778-z.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDGetProjection()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDSetProjection_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages